Subject: Re: bug#8938: make timeout and CTRL-C

From: Bob Proulx <[email-masked]>
Date: Tue, 28 Jun 2011 14:42:58 -0600

Alan Curry wrote:
> That sounds reasonable, but then if something is about to be killed by
> timeout, there's reason to believe it's not behaving well at the moment.

Not necessarily.  For example many things depend upon something across
the network.  If the network wire is unplugged then they might never
complete and therefore need a timeout.  But that doesn't mean that
they are not well behaved otherwise.

Bob